As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 7400 - {inc} Box acid test renders incorrectly (margin reflow issue)
: {inc} Box acid test renders incorrectly (margin reflow issue)
Status: VERIFIED FIXED
:
Product: Core
Classification: Components
Component: Layout (show other bugs)
: Trunk
: x86 Windows NT
: P4 minor (vote)
: M11
Assigned To: buster
: Chris Petersen
: Jet Villegas (:jet)
Mentors:
http://style.verso.com/boxacidtest/vd/
: 8711 11896 12054 13632 (view as bug list)
Depends on:
Blocks: acid1
  Show dependency treegraph
 
Reported: 1999-06-01 09:03 PDT by kbaker
Modified: 2000-03-08 14:35 PST (History)
1 user (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description User image kbaker 1999-06-01 09:03:32 PDT
On the M6 build (5/29/1999 PC, on Windows NT 4.0 SP3), visiting the box acid test yields an incorrect result.  The above URL will take you there.
Comment 1 User image leger 1999-06-01 14:37:59 PDT
petersen, do you see this too with today's build?  All platforms?
Comment 2 User image rickg 1999-06-07 12:15:59 PDT
Peter: can you please diagnose this problem?
Comment 3 User image Peter Linss 1999-06-07 14:13:59 PDT
The body frame isn't getting the right height on the initial reflow.
Comment 4 User image David Baron :dbaron: ⌚️UTC-8 1999-06-13 06:59:59 PDT
See also bug 6153 and bug 7656.
Comment 5 User image troy 1999-06-21 16:44:59 PDT
Yup, when the window is resized the body height is correct. Looks like an
incremental reflow bug...
Comment 6 User image troy 1999-06-21 16:50:59 PDT
*** Bug 7656 has been marked as a duplicate of this bug. ***
Comment 7 User image David Baron :dbaron: ⌚️UTC-8 1999-06-21 19:42:59 PDT
See bug 4572 for more info on this problem.  That's actually the only other open
bug relating to the boxacidtest(, I think).  The WONTFIXed bug 4098 is also
related to the boxacidtest.
Comment 8 User image troy 1999-06-27 20:32:59 PDT
*** Bug 8711 has been marked as a duplicate of this bug. ***
Comment 9 User image troy 1999-07-30 19:01:59 PDT
Kipp, this looks like a block incremental reflow bug
Comment 10 User image troy 1999-08-18 11:06:59 PDT
*** Bug 12054 has been marked as a duplicate of this bug. ***
Comment 11 User image David Baron :dbaron: ⌚️UTC-8 1999-08-19 18:59:59 PDT
*** Bug 11896 has been marked as a duplicate of this bug. ***
Comment 12 User image David Baron :dbaron: ⌚️UTC-8 1999-09-12 17:04:59 PDT
*** Bug 13632 has been marked as a duplicate of this bug. ***
Comment 13 User image kipp 1999-09-14 18:00:59 PDT
There is a slight margin problem at the bottom between the text describing the
test and the test...It goes away when you resize the window.
Comment 14 User image kipp 1999-09-16 12:57:59 PDT
Fix just landed.
Comment 15 User image David Baron :dbaron: ⌚️UTC-8 1999-09-17 12:10:59 PDT
Verified fixed 1999-09-16-08-M11 Linux.  I think when kipp said "just" he meant
"yesterday".  (I see the bug in 1999-09-14-09-M11.)
Comment 16 User image Jacob Kjome 1999-12-31 12:23:59 PST
Take a look at the box-acid test now in the newest  December 30th build of
Mozilla.  The last large black box with the words "sing to me, erbarme dich"
shows up outside of the black border that it is supposed to be within.  Mozilla
passed this test until just recently.  The last couple builds I have viewed this
with have broken the box model.

I will let someone else actually reopen this bug if they deem it to be worthy of
reopening.  I don't think David Baron was too happy with me the last time I
reopened one, so I'll let him decide.

Jake

Note You need to log in before you can comment on or make changes to this bug.